CREATE TABLE irc_search_queue (
    SEARCH_QUEUE_ID       NUMBER(18, 0),
    CREATION_DATE         TIMESTAMP(6)     NOT NULL,
    AFFECTED_ENTITY_ID    NUMBER(18, 0)    NOT NULL,
    REFERENCE_COUNT       NUMBER(1, 0)     NOT NULL,
    INDEXING_CODE         VARCHAR2(32)     NOT NULL,
    ENTITY_TYPE_CODE      VARCHAR2(128)    NOT NULL,
    PROCESSOR_ID          NUMBER(18, 0),
    PROCESS_ON_DATE       TIMESTAMP(6)     NOT NULL,
    UPDATE_TYPE           VARCHAR2(120),
    CREATED_BY            VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY       VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE      TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN     VARCHAR2(128),
    SEARCH_QUEUE_ID       NUMBER(18, 0),
    CREATION_DATE         TIMESTAMP(6)     NOT NULL,
    AFFECTED_ENTITY_ID    NUMBER(18, 0)    NOT NULL,
    REFERENCE_COUNT       NUMBER(1, 0)     NOT NULL,
    INDEXING_CODE         VARCHAR2(32)     NOT NULL,
    ENTITY_TYPE_CODE      VARCHAR2(128)    NOT NULL,
    PROCESSOR_ID          NUMBER(18, 0),
    CREATED_BY            VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY       VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE      TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN     VARCHAR2(128),
    PROCESS_ON_DATE       TIMESTAMP(6)     NOT NULL,
    UPDATE_TYPE           VARCHAR2(120),
    CONSTRAINT pk_irc_search_queue PRIMARY KEY (SEARCH_QUEUE_ID, SEARCH_QUEUE_ID)
);
